INDUXA · Docs
Referencia de API

Estado de una exportación

GET
/v1/exportaciones/{id}

Authorization

clave
headerAuthorizationBearer <token>

Clave de API de la empresa (ind_live_…, agr_live_… o dsk_live_…).

Path Parameters

id*string
Formatuuid

Response Body

Estado, progreso y enlace de descarga cuando está lista

application/json
  1. response
id?string
Formatuuid
tipo?string
descripcion?string
formato?string
estado?string

pendiente, procesando, lista, fallida o vencida

progreso?integer
Range0 <= value <= 100
filas?integer|null
tamano?|

Bytes

error?string|null
creadoEn?string
Formatdate-time
terminadoEn?|
Formatdate-time
venceEn?|
Formatdate-time
descarga?|

Enlace de descarga cuando está lista

curl -X GET "https://example.com/v1/exportaciones/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "tipo": "string",  "descripcion": "string",  "formato": "string",  "estado": "string",  "progreso": 0,  "filas": 0,  "tamano": 0,  "error": "string",  "creadoEn": "2019-08-24T14:15:22Z",  "terminadoEn": "2019-08-24T14:15:22Z",  "venceEn": "2019-08-24T14:15:22Z",  "descarga": "string"}